Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1IA5String

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1IA5String

All Implemented Interfaces:
  ASN1Encodable, ASN1String, Encodable

Direct Known Subclasses:
  DERIA5String

public abstract class ASN1IA5String
extends ASN1Primitive
implements ASN1String

ASN.1 IA5String object - this is a ISO 646 (ASCII) string encoding code points 0 to 127.

Explicit character set escape sequences are not allowed.

Method Summary
`static ASN1IA5String` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return an IA5 String from a tagged object.
`static ASN1IA5String` | `getInstance(java.lang.Object obj)` Return an IA5 string from the passed in object
`byte[]` | `getOctets()`
`java.lang.String` | `getString()` Return a Java String representation of this STRING type's content.
`static ASN1IA5String` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`int` | `hashCode()`
`static boolean` | `isIA5String(java.lang.String str)` return true if the passed in String can be represented without loss as an IA5String, false otherwise.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static ASN1IA5String getInstance(java.lang.Object obj)

  Return an IA5 string from the passed in object

  Parameters:
    `obj` - an ASN1IA5String or an object that can be converted into one.
  Returns:
    a ASN1IA5String instance, or null.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static ASN1IA5String getInstance(ASN1TaggedObject taggedObject,
                                            boolean declaredExplicit)

  Return an IA5 String from a tagged object.

  Parameters:
    `taggedObject` - the tagged object holding the object we want
    `declaredExplicit` - true if the object is meant to be explicitly tagged false otherwise.
  Returns:
    an ASN1IA5String instance, or null.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getTagged

    public static ASN1IA5String getTagged(ASN1TaggedObject taggedObject,
                                          boolean declaredExplicit)

### getString

    public final java.lang.String getString()

  Description copied from interface: `ASN1String`
  Return a Java String representation of this STRING type's content.

  Specified by:
    `getString` in interface `ASN1String`
  Returns:
    a Java String representation of this STRING.

### toString

    public java.lang.String toString()

### getOctets

    public final byte[] getOctets()

### hashCode

    public final int hashCode()

  Specified by:
    `hashCode` in class `ASN1Primitive`

### isIA5String

    public static boolean isIA5String(java.lang.String str)

  return true if the passed in String can be represented without loss as an IA5String, false otherwise.

  Parameters:
    `str` - the string to check.
  Returns:
    true if character set in IA5String set, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD